Skip to content
DELETE /session-token

Request Body

environment_idstring · uuid

The environment to revoke in. Required for user-session auth. Defaults to the API token's own environment for API-token auth.

Example: 8a2b104d-74a6-47f2-b93e-c6b611e82391
tenant_idstring

The tenant whose sessions should be revoked.

Example: acme-1

Response Body

revoked_countinteger

How many live sessions were revoked. Zero when the tenant had none.

Example: 2
curl -X DELETE 'https://api.truto.one/session-token' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/session-token', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/session-token"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())